<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getInvestmentOffer](./bitburner.corporation.getinvestmentoffer.md)

## Corporation.getInvestmentOffer() method

Get an offer for investment based on current corporation valuation.

**Signature:**

```typescript
getInvestmentOffer(): InvestmentOffer;
```
**Returns:**

[InvestmentOffer](./bitburner.investmentoffer.md)

An offer of investment

## Remarks

RAM cost: 10 GB

